ics-ans-role-rsync
===================

Ansible role to install rsync.

Requirements
------------

- ansible >= 2.4
- molecule >= 2.6

Role Variables
--------------

```yaml
...
```

Example Playbook
----------------

```yaml
 - hosts: servers
   roles:
    - role: ics-ans-role-rsync
      rsync_server_shares:
      - name: servername
        comment: Public datasets
        path: /data/1
        readonly: no
```

Role Variables
--------------

Defaults: `defaults/main.yml`

- `rsync_server_timeout`: Timeout for connections, default `300` seconds
- `rsync_server_max_connections`: Maximum number of connections, default `10`
- `rsync_server_shares`: A list of dictionaries of shares with fields:
  - `name`: The published name of the share, required
  - `path`: Filesystem path of the share, required
  - `comment`: Description of the share, default is the same as `name`
  - `readonly`: Whether the share is read-only, default `True`
  - `uid`: User name or ID when access the share, default `nobody`
  - `gid`: Group name or ID when access the share, default `nobody`
  - `excludes`: A list of exclusions, default `['lost+found', '.*']`

License
-------

BSD 2-clause
